## nymea 1.9.5+202410290716~bullseye1

=== debian/changelog ===
nymea (1.9.5+202410290716~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * CoAP: Silence warning regarding multicast join error

 -- jenkins <developer@nymea.io>  Tue, 29 Oct 2024 07:16:46 +0100

nymea (1.9.4) jammy; urgency=medium

  [ Simon Stürz ]
  * Remove unused signal
  * modbus RTU: add platform configuration

  [ Tobi ]
  * Log proper RPC method name for the initial setup

  [ Simon Stürz ]
  * Update mac address database
  * Update debian copyright
  * Update README
  * Network device discovery reachable to early

 -- jenkins <developer@nymea.io>  Tue, 01 Oct 2024 16:53:59 +0200

nymea (1.9.3) jammy; urgency=medium

  [ Simon Stürz ]
  * Update debian packaging and compat level

 -- jenkins <developer@nymea.io>  Fri, 19 Jul 2024 21:05:43 +0200

nymea (1.9.2) jammy; urgency=medium

  [ Simon Stürz ]
  * Stop nymea time manager before shutdown the daemon
  * Update mac address database
  * Update dependency for Ubuntu noble

 -- jenkins <developer@nymea.io>  Wed, 15 May 2024 08:18:12 +0200

nymea (1.9.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * Enable logging for signal strength by default
  * Add more debug prints to script console when ThingState fails
  * Update optional prgress state to update interface
  * Fix mantic build

  [ Simon Stürz ]
  * Update mac address database
  * Update copyright to 2024
  * Allow to build nymead using custom version independent from dpkg
  * Update install directory for tests

 -- jenkins <developer@nymea.io>  Mon, 29 Jan 2024 12:22:29 +0100

nymea (1.9.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * Add support for connections to actionExecuted in scripts
  * Enable more info on double ThingActionInfo::finish() calls
  * Make possibleValues for states dynamic and translatable

  [ Simon Stürz ]
  * LogEngine: provide possibility to disable the log engine

  [ Michael Zanetti ]
  * Make script runtime errors appear in the script console

  [ Simon Stürz ]
  * NetworkDeviceDiscovery: Update warning regarding multiple IPs for
    one MAC address.

  [ Michael Zanetti ]
  * Fix building with newer gcc
  * Add support for Bluetooth pairing during thing setup

 -- jenkins <developer@nymea.io>  Wed, 29 Nov 2023 14:13:40 +0100

nymea (1.8.4) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Fri, 18 Aug 2023 17:11:58 +0200

nymea (1.8.3) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Thu, 17 Aug 2023 14:10:39 +0200

nymea (1.8.2) jammy; urgency=medium

  [ alpha-rd ]
  * Update Dutch translations

  [ Michael Zanetti ]
  * Tell systemd that we're using influxdb
  * Fix influx systemd env override not working with older systemd

  [ Simon Stürz ]
  * arp: Fix discovery resolving multiple/wrong mac addresses for ip

 -- jenkins <developer@nymea.io>  Thu, 29 Jun 2023 11:37:28 +0200

nymea (1.8.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * Add location setting

 -- jenkins <developer@nymea.io>  Wed, 07 Jun 2023 15:51:18 +0200

nymea (1.8.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * Add location setting
  * Add desiredPhaseCount state to evcharger interface
  * Add windowOpen and windowOpenDetected states to the thermostat
  * Fix multiple ragisterTransport calls on reconfiguring interfaces
  * Enforce unit on closable interface
  * Rework the log engine to use influxdb instead of sql

  [ Simon Stürz ]
  * NetworkDeviceDiscovery: perform reachability verification ping
  * Update mac address database

 -- jenkins <developer@nymea.io>  Tue, 23 May 2023 11:49:15 +0200

nymea (1.7.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * Bind a client connection to the token given in the hello call.
  * Improve debug logging filter arguments
  * Add information for initialSetup and reconfigure to ThingSetupInfo
  * Enable logging for thermostat states
  * Properly clean up the TCP server on shutdown
  * Enqueue priority jobs instead of prepending
  * Require min/max values for co2sensors

  [ Simon Stürz ]
  * network device monitor: Clean up pending ping replies properly

  [ Michael Zanetti ]
  * Require min/max values for pressuresensors
  * Use dynamic min/max values for io connections
  * Refactor NymeaCore class

  [ Simon Stürz ]
  * Update copyright to 2023

  [ Michael Zanetti ]
  * Manually check for Bluetooth before instantiating QtBluetooth

  [ Simon Stürz ]
  * NetworkDeviceMonitor: Fix initial reachable state using internal
    caches

  [ Michael Zanetti ]
  * Create indices on entries table of log db
  * Stabilize logging tests

  [ Simon Stürz ]
  * Fix method to convert phases from string

  [ Michael Zanetti ]
  * Allow users with ControlThings permission to read things logs
  * Drop cloud settings which aren't used any more

  [ Simon Stürz ]
  * Update MAC address database

 -- jenkins <developer@nymea.io>  Tue, 21 Feb 2023 17:43:48 +0100

nymea (1.6.3) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Wed, 01 Feb 2023 12:17:51 +0100

nymea (1.6.2) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Mon, 16 Jan 2023 14:35:34 +0100

nymea (1.6.1) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Fri, 23 Dec 2022 11:32:14 +0100

nymea (1.6.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Update systemd service dependecies to dbus.socket

  [ Michael Zanetti ]
  * Add a childlock interface
  * Fix suggestLogging property not working for eventTypes
  * Allow registering list types without their contained objects on
    JSONRPC
  * Fix permissions for rules, tags and appdata api
  * Make init call for python plugins blocking

  [ Simon Stürz ]
  * NetworkDeviceDiscovery: wait for pending MAC address manufacturer
    lookups before finishing a discovery

  [ Michael Zanetti ]
  * Allow registering lists of ThingId on json rpc
  * Fix a crash when the same plugin file is loaded twice

  [ Simon Stürz ]
  * NetworkDeviceDiscovery: Skip duplicated discovery if there are
    multiple network interfaces connected to the same network

  [ Michael Zanetti ]

