## nymea 1.11.0+202503201414~bullseye1

=== debian/changelog ===
nymea (1.11.0+202503201414~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * Rework network discovery
  * Update copyright to 2025
  * Update MAC address database

 -- jenkins <developer@nymea.io>  Thu, 20 Mar 2025 14:15:10 +0100

nymea (1.10.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Add systemd notify support
  * Debug JSONRPC API handler
  * Use default cache location for the plugin info caches
  * Influxdb: Disable debug print if database is disabled or not
    initialized
  * NetworkManager: add wireless device capabilities
  * core: Fix shutdown crash and improve application logging
  * Update MAC address database

 -- jenkins <developer@nymea.io>  Fri, 20 Dec 2024 13:39:09 +0100

nymea (1.9.5) jammy; urgency=medium

  [ Simon Stürz ]
  * CoAP: Silence warning regarding multicast join error

 -- jenkins <developer@nymea.io>  Tue, 29 Oct 2024 07:16:46 +0100
