=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                libqt5serialport5-dev,
                libqt5serialbus5-dev,
                influxdb:native,
+               libsystemd-dev,
 
 
 Package: nymea
