## nymea 1.11.0+202510201339~trixie1

=== doc/examples/simplebutton/debian/changelog ===
nymea-plugin-simplebutton (0.0.1) xenial; urgency=medium

  * Initial release.

 -- Developer Name <developer.name@example.com>  Mon, 21 Aug 2017 10:12:00 +0000
