=== doc/examples/template/debian/changelog ===
nymea-plugin-template (0.0.1) xenial; urgency=medium

  * Initial release.

 -- Developer Name <developer.name@example.com>  Mon, 21 Aug 2017 10:12:00 +0000
