## nymea 1.11.1+202506101403~bullseye1

=== debian/changelog ===
nymea (1.11.1+202506101403~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * NetworkDiscovery: Add localhost functionality
  * Update mac address database

 -- jenkins <developer@nymea.io>  Tue, 10 Jun 2025 14:04:21 +0200

nymea (1.11.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Rework network discovery
  * Update copyright to 2025
  * Update MAC address database

 -- jenkins <developer@nymea.io>  Thu, 20 Mar 2025 14:15:10 +0100
